## pam 0.76

=== Linux-PAM/Makefile ===
##
## $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:19 hartmans Exp $
##

## Note, ideally I would prefer it if this top level makefile did
## not get created by autoconf. As I find typing 'make' and relying
## on it to take care of all dependencies much more friendly than
## the multi-stage autoconf+make and also worry about updates to
## configure.in not getting propagated down the tree. (AGM) [I realise
## that this may not prove possible, but at least I tried.. Sigh.]

DISTNAME=Linux-PAM

ifeq ($(shell test \! -f Make.Rules || echo yes),yes)
    include Make.Rules
endif

THINGSTOMAKE = modules libpam libpamc libpam_misc doc examples

all: $(THINGSTOMAKE)

prep:
	rm -f security
	ln -sf . security

clean:
	if [ ! -f Make.Rules ]; then touch Make.Rules ; fi
	for i in $(THINGSTOMAKE) ; do $(MAKE) -C $$i clean ; done
	rm -f security *~ *.orig *.rej Make.Rules #*#

distclean: clean
	rm -f Make.Rules _pam_aconf.h
	rm -f config.status config.cache config.log core

maintainer-clean: distclean
	@echo files should be ok for packaging now.

# NB _pam_aconf.h.in changes will remake this too
Make.Rules: configure Make.Rules.in _pam_aconf.h.in
	@echo XXX - not sure how to preserve past configure options..
	@echo XXX - so not attempting to. Feel free to run ./configure
	@echo XXX - by hand, with the options you want.
	./configure

_pam_aconf.h: Make.Rules

configure: configure.in
	@echo
	@echo You do not appear to have an up-to-date ./configure file.
	@echo Please run autoconf, and then ./configure [..options..]
	@echo
	@rm -f configure
	@exit 1

$(THINGSTOMAKE): _pam_aconf.h prep
	$(MAKE) -C $@ all

install: _pam_aconf.h prep
	$(MKDIR) $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 444 security/_pam_aconf.h $(FAKEROOT)$(INCLUDED)
	for x in $(THINGSTOMAKE) ; do $(MAKE) -C $$x install ; done

remove:
	rm -f $(FAKEROOT)$(INCLUDED)/_pam_aconf.h
	for x in $(THINGSTOMAKE) ; do $(MAKE) -C $$x remove ; done

release:
	@if [ ! -f Make.Rules ]; then echo $(MAKE) Make.Rules first ;exit 1 ;fi
	@if [ ! -L ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) ]; then \
	   echo generating ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) link ; \
	   ln -sf $(DISTNAME) ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL) ; \
	   echo to ../$(DISTNAME) . ; fi
	@diff ../$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL)/Make.Rules Make.Rules
	$(MAKE) distclean
	cd .. ; tar zvfc $(DISTNAME)-$(MAJOR_REL).$(MINOR_REL).tar.gz \
		--exclude CVS --exclude .cvsignore --exclude '.#*' \
		$(DISTNAME)-$(MAJOR_REL).$(MINOR_REL)/*

=== Linux-PAM/conf/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2001/04/29 04:16:25 hartmans Exp $
#
#

dummy:
	@echo "*** This is not a top level Makefile!"

##########################################################

all:
	$(MAKE) -C pam_conv1 all

install: $(FAKEROOT)$(CONFIGED)/pam.conf
	$(MAKE) -C pam_conv1 install

$(FAKEROOT)$(CONFIGED)/pam.conf: ./pam.conf
	bash -f ./install_conf

remove:
	rm -f $(FAKEROOT)$(CONFIGED)/pam.conf
	$(MAKE) -C pam_conv1 remove

check:
	bash -f ./md5itall

lclean:
	rm -f core *~ .ignore_age

clean: lclean
	$(MAKE) -C pam_conv1 clean

extraclean: lclean
	$(MAKE) -C pam_conv1 extraclean

=== Linux-PAM/doc/Makefile ===

### $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:24 hartmans Exp $

include ../Make.Rules

#######################################################

FILES=pam pam_appl pam_modules
FSRCS=pam.sgml pam_appl.sgml pam_modules.sgml

TEXTS=txts/pam.txt txts/pam_appl.txt txts/pam_modules.txt
HTMLS=html/pam.html html/pam_appl.html html/pam_modules.html
PSFILES=ps/pam.ps ps/pam_appl.ps ps/pam_modules.ps
PDFFILES=pdf/pam.pdf ps/pam_appl.pdf ps/pam_modules.pdf

MODULES=$(shell ls modules/*.sgml)

#######################################################

dummy:
	@echo "Making the documentation..."
	@$(MAKE) all

# note, at this time we don't include pdf files by default, but you
# can type make pdf in this directory and see what happens in the pdf
# subdirectory.

all: htmls texts postscript

htmls: $(HTMLS)

$(HTMLS) : $(FSRCS)
ifeq ($(HAVE_SGML2HTML),yes)
	@for i in $(FILES) ; do \
	if [ ! -f "html/$$i.html" ] || [ "$$i.sgml" -nt "html/$$i.html" ]; \
	then \
		cd html ; sgml2html ../$$i ; \
		if [ $$? -ne 0 ]; then exit 1 ; fi ; \
		cd .. ; \
	fi ; \
	done
else
	@echo XXX - you do not have the sgml2html binary installed
endif

texts: $(TEXTS)

$(TEXTS) : $(FSRCS)
ifeq ($(HAVE_SGML2TXT),yes)
	@for i in $(FILES) ; do \
		if [ ! -f "txts/$$i.txt" ] \
				|| [ "$$i.sgml" -nt "txts/$$i.txt" ]; then \
			cd txts ; sgml2txt ../$$i ; cd .. ; \
		fi ; \
	done
else
	@echo XXX - you do not have the sgml2txt binary installed
endif

postscript: $(PSFILES)

$(PSFILES): $(FSRCS)
ifneq ($(PSER),)
	@for i in $(FILES) ; do \
	if [ ! -f "ps/$$i.ps" ] || [ "$$i.sgml" -nt "ps/$$i.ps" ]; then \
		cd ps ; $(PSER) ../$$i ; cd .. ; \
	fi ; \
	done
else
	@echo XXX - neither sgml2ps nor sgml2latex binaries are installed
endif

pdf: $(PDFFILES)

$(PDFFILES) : $(PSFILES)
ifeq ($(HAVE_PS2PDF),yes)
	@for i in $(FILES) ; do \
	if [ ! -f "pdf/$$i.pdf" ] || [ "ps/$$i.ps" -nt "ps/$$i.pdf" ]; then \
		ps2pdf ps/$$i.ps pdf/$$i.pdf ; \
	fi ; \
	done
else
	@echo XXX - ps2pdf is not installed
endif

pam.sgml: pam_source.sgml MODULES-SGML CREDITS
	@sed -e '/^<!\-\- insert\-file MODULES\-SGML \-\->/r MODULES-SGML' pam_source.sgml | sed -e '/^<!\-\- insert\-file CREDITS \-\->/r CREDITS' > pam.sgml

MODULES-SGML: $(MODULES)
	@echo 'Building module text from files in modules/*.sgml'
	@rm -f MODULES-SGML
	@echo '<!-- modules included:' > MODULES-SGML
	@ls modules/*.sgml >> MODULES-SGML
	@echo '  and that is all -->' >> MODULES-SGML
	@cat modules/*.sgml >> MODULES-SGML

extraclean: clean

remove:
	cd man && for file in *.3 ; do \
	  rm -f $(FAKEROOT)$(MANDIR)/man3/$$file ; \
	done
	cd man && for file in *.8 ; do \
	  rm -f $(FAKEROOT)$(MANDIR)/man8/$$file ; \
	done
	cd txts && for file in *.txt; do \
	  rm -f $(FAKEROOT)$(DOCDIR)/text/$$file ; \
	done
	cd ps && for file in *.ps; do \
	  rm -f $(FAKEROOT)$(DOCDIR)/ps/$$file  ; \
	done
	cd html && for file in *.html; do \
	  rm -f $(FAKEROOT)$(DOCDIR)/html/$$file ; \
	done

install: all
ifeq ($(HAVE_SGML2TXT),yes)
	mkdir -p $(FAKEROOT)$(DOCDIR)/text
	for file in txts/*.txt; do \
	  install -m 644 $$file $(FAKEROOT)$(DOCDIR)/text ; \
	done
endif
ifneq ($(PSER),)
	mkdir -p $(FAKEROOT)$(DOCDIR)/ps
	for file in ps/*.ps; do \
	  install -m 644 $$file $(FAKEROOT)$(DOCDIR)/ps  ; \
	done
	ifeq ($(HAVE_PS2PDF),yes)
		mkdir -p $(FAKEROOT)$(DOCDIR)/pdf
		for file in pdf/*.pdf; do \
		  install -m 644 $$file $(FAKEROOT)$(DOCDIR)/pdf  ; \
		done
	endif
endif
ifeq ($(HAVE_SGML2HTML),yes)
	mkdir -p $(FAKEROOT)$(DOCDIR)/html
	for file in html/*.html; do \
	  install -m 644 $$file $(FAKEROOT)$(DOCDIR)/html ; \
	done
endif
	mkdir -p $(FAKEROOT)$(MANDIR)/man3
	mkdir -p $(FAKEROOT)$(MANDIR)/man8
	for file in man/*.3 ; do \
	  install -m 644 $$file $(FAKEROOT)$(MANDIR)/man3 ; \
	done
	for file in man/*.8 ; do \
	  install -m 644 $$file $(FAKEROOT)$(MANDIR)/man8 ; \
	done

spec: specs/draft-morgan-pam.raw
	cd specs/formatter && $(MAKE)
	specs/formatter/padout < specs/draft-morgan-pam.raw > specs/draft-morgan-pam-current.txt

releasedocs: all spec
	tar zvfc Linux-PAM-$(MAJOR_REL).$(MINOR_REL)-docs.tar.gz --exclude CVS  html ps txts specs/draft-morgan-pam-current.txt

clean:
	rm -f *~ *.bak
	rm -f html/pam*.html
	rm -f man/*~
	rm -f $(TEXTS)
	rm -f $(PSFILES) ps/missfont.log
	rm -f pdf/*.pdf
	rm -f MODULES-SGML pam.sgml
	rm -f specs/draft-morgan-pam-current.txt
	$(MAKE) -C specs/formatter clean

=== Linux-PAM/dynamic/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2002/09/15 20:08:35 hartmans Exp $
#
#

include ../Make.Rules

ifeq ($(WITH_LIBDEBUG),yes)
 LIBNAME=pamd
else
 LIBNAME=pam
endif
VERSION=.$(MAJOR_REL)
MODIFICATION=.$(MINOR_REL)

# ---------------------------------------------

dummy: ../Make.Rules all

# ---------------------------------------------

# dynamic library names

PAMSHOBJ = pam.so
PAMSHOBJMAJ = $(PAMSHOBJ)$(VERSION)

DLIBOBJECTS = pam.o

# ---------------------------------------------
## rules

all: dirs $(PAMSHOBJ) ../Make.Rules

dirs:
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) dynamic
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(MKDIR) static
endif

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

$(PAMSHOBJ): $(DLIBOBJECTS)
ifeq ($(USESONAME),yes)
	$(LD_L) $(SOSWITCH) $(PAMSHOBJMAJ) -o $@ $+ $(LINKLIBS)
else
	$(LD_L) -o $@ $(DLIBOBJECTS) $(LINKLIBS)
endif

install: all
	$(MKDIR) $(FAKEROOT)$(libdir)
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(INSTALL) -m $(SHLIBMODE) $(PAMSHOBJ) $(FAKEROOT)$(libdir)/$(PAMSHOBJ)
	$(LDCONFIG)
endif

remove:
	rm -f $(FAKEROOT)$(libdir)/$(LIBPAM)
	$(LDCONFIG)

clean:
	rm -f a.out core *~ static/*.o dynamic/*.o
	rm -f *.a *.o *.so ./include/security/*~
	if [ -d dynamic ]; then rmdir dynamic ; fi
	if [ -d static ]; then rmdir static ; fi

=== Linux-PAM/examples/Makefile ===
#
# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:35 hartmans Exp $
#

include ../Make.Rules

PROGS = blank xsh check_user
SRCS = blank.c xsh.c check_user.c
PROGSUID =

ifeq ($(WITH_LIBDEBUG),yes)
 LIBSUFFIX=d
else
 LIBSUFFIX=
endif

CFLAGS += -I$(absolute_srcdir)/libpam_misc/include

LOADLIBES = -L$(absolute_objdir)/libpam -L$(absolute_objdir)/libpamc \
    -L$(absolute_objdir)/libpam_misc -lpam -lpam_misc

ifeq ($(STATIC_LIBPAM),yes)
  ifneq ($(DYNAMIC),)
    CFLAGS += $(CC_STATIC)
    LOADLIBES += $(LIBDL)
  endif
endif

all: $(PROGS)

check_user: check_user.o
	$(CC) $(CFLAGS) -o $@ $< $(LOADLIBES)

blank: blank.o
	$(CC) $(CFLAGS) -o $@ $< $(LOADLIBES)

xsh: xsh.o
	$(CC) $(CFLAGS) -o $@ $< $(LOADLIBES)

clean:
	rm -f *.a *.so *.o *~ $(PROGS) $(PROGSUID)
	rm -f *.a *.out *.o *.so

# note, the programs are test programs, they should not be
# installed on your system!

install: all
	if [ -n "$(PROGS)" ]; then cp $(PROGS) ../bin ; fi
	if [ -n "$(PROGSUID)" ]; then \
		$(INSTALL) -m 4555 $(PROGSUID) ../bin ; fi

remove:
	cd ../bin ; rm -f $(PROGS) $(PROGSUID)
	for x in $(PROGS) $(PROGSUID) ; do rm -f ../bin/$$x ; done

=== Linux-PAM/libpam/Makefile ===
#
# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:36 hartmans Exp $
#
#

include ../Make.Rules

# need to tell libpam about the default directory for PAMs
MOREFLAGS=-D"DEFAULT_MODULE_PATH=\"$(SECUREDIR)/\""

ifeq ($(WITH_LIBDEBUG),yes)
 LIBNAME=libpamd
else
 LIBNAME=libpam
endif
VERSION=.$(MAJOR_REL)
MODIFICATION=.$(MINOR_REL)

# ---------------------------------------------

dummy: ../Make.Rules all

# ---------------------------------------------

CFLAGS += $(DYNAMIC) $(STATIC) $(MOREFLAGS) \
  -DLIBPAM_VERSION_MAJOR=$(MAJOR_REL) \
  -DLIBPAM_VERSION_MINOR=$(MINOR_REL)

# dynamic library names

LIBPAM = $(LIBNAME).$(DYNTYPE)
LIBPAMNAME = $(LIBPAM)$(VERSION)
LIBPAMFULL = $(LIBPAMNAME)$(MODIFICATION)

# static library name

LIBPAMSTATIC = $(LIBNAME).a

ifdef STATIC
@echo Did you mean to set STATIC\?
MODULES = $(shell cat ../modules/_static_module_objects)
STATICOBJ = pam_static.o
else
MODULES =
endif

ifeq ($(WITH_MEMORY_DEBUG),yes)
EXTRAS += pam_malloc.o
endif

LIBOBJECTS = pam_item.o pam_strerror.o pam_end.o pam_start.o pam_data.o \
		pam_delay.o pam_dispatch.o pam_handlers.o pam_misc.o \
		pam_account.o pam_auth.o pam_session.o pam_password.o \
		pam_env.o pam_log.o $(EXTRAS)

ifeq ($(DYNAMIC_LIBPAM),yes)
# libpam.so needs -ldl, too.
DLIBOBJECTS = $(addprefix dynamic/,$(LIBOBJECTS) $(STATICOBJ))
ifeq ($(STATICOBJ),yes)
dynamic/pam_static.o: pam_static.c ../modules/_static_module_objects
	$(CC) $(CFLAGS) -c pam_static.c -o $@
endif
endif

ifeq ($(STATIC_LIBPAM),yes)
SLIBOBJECTS = $(addprefix static/,$(LIBOBJECTS) $(STATICOBJ))
ifdef STATICOBJ
static/pam_static.o: pam_static.c ../modules/_static_module_objects
	$(CC) $(CFLAGS) -c pam_static.c -o $@
endif
endif

# ---------------------------------------------
## rules

all: dirs $(LIBPAM) $(LIBPAMSTATIC) ../Make.Rules

dirs:
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) dynamic
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(MKDIR) static
endif

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

$(LIBPAM): $(DLIBOBJECTS)
ifeq ($(DYNAMIC_LIBPAM),yes)
    ifeq ($(USESONAME),yes)
	$(LD_L) $(SOSWITCH) $(LIBPAMNAME) -o $@ $(DLIBOBJECTS) \
		$(MODULES) $(LINKLIBS)
    else
	$(LD_L) -o $@ $(DLIBOBJECTS) $(MODULES) $(LINKLIBS)
    endif
    ifeq ($(NEEDSONAME),yes)
	rm -f $(LIBPAMFULL)
	ln -sf $(LIBPAM) $(LIBPAMFULL)
	rm -f $(LIBPAMNAME)
	ln -sf $(LIBPAM) $(LIBPAMNAME)
    endif
endif

$(LIBPAMSTATIC): $(SLIBOBJECTS)
ifeq ($(STATIC_LIBPAM),yes)
	ar cr $@ $(SLIBOBJECTS) $(MODULES)
	$(RANLIB) $@
endif

install: all
	$(MKDIR) $(FAKEROOT)$(INCLUDED) $(FAKEROOT)$(libdir)
	$(INSTALL) -m 644 include/security/pam_appl.h $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/pam_modules.h $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/_pam_macros.h $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/_pam_types.h $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/_pam_compat.h $(FAKEROOT)$(INCLUDED)
ifdef MEMORY_DEBUG
	$(INSTALL) -m 644 include/security/pam_malloc.h $(FAKEROOT)$(INCLUDED)
endif
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(INSTALL) -m $(SHLIBMODE) $(LIBPAM) $(FAKEROOT)$(libdir)/$(LIBPAMFULL)
	$(LDCONFIG)
  ifneq ($(DYNTYPE),"sl")
	( cd $(FAKEROOT)$(libdir) ; rm -f $(LIBPAM) ; \
	  ln -sf $(LIBPAMNAME) $(LIBPAM) )
  endif
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(INSTALL) -m 644 $(LIBPAMSTATIC) $(FAKEROOT)$(libdir)
endif

remove:
	rm -f $(FAKEROOT)$(INCLUDED)/_pam_types.h
	rm -f $(FAKEROOT)$(INCLUDED)/_pam_macros.h
	rm -f $(FAKEROOT)$(INCLUDED)/pam_appl.h
	rm -f $(FAKEROOT)$(INCLUDED)/pam_modules.h
	rm -f $(FAKEROOT)$(INCLUDED)/pam_malloc.h
	rm -f $(FAKEROOT)$(libdir)/$(LIBPAM).*
	rm -f $(FAKEROOT)$(libdir)/$(LIBPAM)
	$(LDCONFIG)
	rm -f $(FAKEROOT)$(libdir)/$(LIBPAMSTATIC)

clean:
	rm -f a.out core *~ static/*.o dynamic/*.o
	rm -f *.a *.o *.so ./include/security/*~
	if [ -d dynamic ]; then rmdir dynamic ; fi
	if [ -d static ]; then rmdir static ; fi

=== Linux-PAM/libpam_misc/Makefile ===
#
# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:40 hartmans Exp $
#

# lots of debugging information goes to /tmp/pam-debug.log
#MOREFLAGS += -D"DEBUG"

include ../Make.Rules

ifeq ($(WITH_LIBDEBUG),yes)
 LIBNAME=libpam_miscd
else
 LIBNAME=libpam_misc
endif
VERSION=.$(MAJOR_REL)
MODIFICATION=.$(MINOR_REL)

CFLAGS += $(MOREFLAGS) $(DYNAMIC) $(STATIC)
LINKLIBS += -L$(absolute_objdir)/libpam -lpam

# dynamic library names

LIBNAMED = $(LIBNAME).$(DYNTYPE)
LIBNAMEDNAME = $(LIBNAMED)$(VERSION)
LIBNAMEDFULL = $(LIBNAMEDNAME)$(MODIFICATION)

# static library name

LIBNAMEDSTATIC = $(LIBNAME).a

LIBOBJECTS = help_env.o misc_conv.o

ifeq ($(DYNAMIC_LIBPAM),yes)
DLIBOBJECTS = $(addprefix dynamic/,$(LIBOBJECTS))
endif

ifeq ($(STATIC_LIBPAM),yes)
SLIBOBJECTS = $(addprefix static/,$(LIBOBJECTS))
endif

# ---------------------------------------------
## rules

all: dirs $(LIBNAMED) $(LIBNAMEDSTATIC)

dirs:
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) dynamic
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(MKDIR) static
endif

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

$(LIBNAMED): $(DLIBOBJECTS)
ifeq ($(DYNAMIC_LIBPAM),yes)
    ifeq ($(USESONAME),yes)
	$(LD_L) $(SOSWITCH) $(LIBNAMEDNAME) -o $@ $(DLIBOBJECTS) $(MODULES) $(LINKLIBS)
    else
	$(LD_L) -o $@ $(DLIBOBJECTS) $(MODULES)
    endif
    ifeq ($(NEEDSONAME),yes)
	rm -f $(LIBNAMEDFULL)
	ln -s $(LIBNAMED) $(LIBNAMEDFULL)
	rm -f $(LIBNAMEDNAME)
	ln -s $(LIBNAMED) $(LIBNAMEDNAME)
    endif
endif

$(LIBNAMEDSTATIC): $(SLIBOBJECTS)
ifeq ($(STATIC_LIBPAM),yes)
	$(AR) rc $@ $(SLIBOBJECTS) $(MODULES)
	$(RANLIB) $@
endif

install: all
	$(MKDIR) $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/pam_misc.h $(FAKEROOT)$(INCLUDED)
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) $(FAKEROOT)$(libdir)
	$(INSTALL) -m $(SHLIBMODE) $(LIBNAMED) $(FAKEROOT)$(libdir)/$(LIBNAMEDFULL)
	$(LDCONFIG)
  ifneq ($(DYNTYPE),"sl")
	( cd $(FAKEROOT)$(libdir) ; rm -f $(LIBNAMED) ; ln -s $(LIBNAMEDNAME) $(LIBNAMED) )
  endif
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(INSTALL) -m 644 $(LIBNAMEDSTATIC) $(FAKEROOT)$(libdir)
endif

remove:
	rm -f $(FAKEROOT)$(INCLUDED)/pam_misc.h
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMEDFULL)
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMED)
	$(LDCONFIG)
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMEDSTATIC)

clean:
	rm -f a.out core *~ static/*.o dynamic/*.o
	rm -f *.a *.out *.o *.so ./include/security/*~
	if [ -d dynamic ]; then rmdir dynamic ; fi
	if [ -d static ]; then rmdir static ; fi

=== Linux-PAM/libpamc/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2001/04/29 04:17:13 hartmans Exp $
#

# lots of debugging information goes to /tmp/pam-debug.log
#MOREFLAGS += -D"DEBUG"

include ../Make.Rules

ifeq ($(DEBUG_REL),yes)
 LIBNAME=libpamcd
else
 LIBNAME=libpamc
endif
VERSION=.$(MAJOR_REL)
MODIFICATION=.$(MINOR_REL)

CFLAGS += $(MOREFLAGS) $(DYNAMIC) $(STATIC)

# dynamic library names

LIBNAMED = $(LIBNAME).$(DYNTYPE)
LIBNAMEDNAME = $(LIBNAMED)$(VERSION)
LIBNAMEDFULL = $(LIBNAMEDNAME)$(MODIFICATION)

# static library name

LIBNAMEDSTATIC = $(LIBNAME).a

LIBOBJECTS = pamc_client.o pamc_converse.o pamc_load.o

ifeq ($(DYNAMIC_LIBPAM),yes)
DLIBOBJECTS = $(addprefix dynamic/,$(LIBOBJECTS))
endif

ifeq ($(STATIC_LIBPAM),yes)
SLIBOBJECTS = $(addprefix static/,$(LIBOBJECTS))
endif

# ---------------------------------------------
## rules

all: dirs $(LIBNAMED) $(LIBNAMEDSTATIC)

dirs:
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) dynamic
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(MKDIR) static
endif

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

$(LIBNAMED): $(DLIBOBJECTS)
ifeq ($(DYNAMIC_LIBPAM),yes)
    ifeq ($(USESONAME),yes)
	$(LD_L) $(SOSWITCH) $(LIBNAMEDNAME) -o $@ $(DLIBOBJECTS) $(MODULES) $(LINKLIBS)
    else
	$(LD_L) -o $@ $(DLIBOBJECTS) $(MODULES)
    endif
    ifeq ($(NEEDSONAME),yes)
	rm -f $(LIBNAMEDFULL)
	ln -s $(LIBNAMED) $(LIBNAMEDFULL)
	rm -f $(LIBNAMEDNAME)
	ln -s $(LIBNAMED) $(LIBNAMEDNAME)
    endif
endif

$(LIBNAMEDSTATIC): $(SLIBOBJECTS)
ifeq ($(STATIC_LIBPAM),yes)
	$(AR) rc $@ $(SLIBOBJECTS) $(MODULES)
	$(RANLIB) $@
endif

install: all
	$(MKDIR) $(FAKEROOT)$(INCLUDED)
	$(INSTALL) -m 644 include/security/pam_client.h $(FAKEROOT)$(INCLUDED)
ifeq ($(DYNAMIC_LIBPAM),yes)
	$(MKDIR) $(FAKEROOT)$(libdir)
	$(INSTALL) -m $(SHLIBMODE) $(LIBNAMED) $(FAKEROOT)$(libdir)/$(LIBNAMEDFULL)
	$(LDCONFIG)
  ifneq ($(DYNTYPE),"sl")
	( cd $(FAKEROOT)$(libdir) ; rm -f $(LIBNAMED) ; ln -s $(LIBNAMEDNAME) $(LIBNAMED) )
  endif
endif
ifeq ($(STATIC_LIBPAM),yes)
	$(INSTALL) -m 644 $(LIBNAMEDSTATIC) $(FAKEROOT)$(libdir)
endif

remove:
	rm -f $(FAKEROOT)$(INCLUDED)/pam_client.h
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMEDFULL)
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMED)
	$(LDCONFIG)
	rm -f $(FAKEROOT)$(libdir)/$(LIBNAMEDSTATIC)

clean:
	rm -f a.out core *~ static/*.o dynamic/*.o
	rm -f *.a *.out *.o *.so ./include/security/*~
	if [ -d dynamic ]; then rmdir dynamic ; fi
	if [ -d static ]; then rmdir static ; fi

=== Linux-PAM/modules/Makefile ===
# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:43 hartmans Exp $
#
# Makefile
#
# This makefile controls the build process of shared and static PAM modules.
#
#

include ../Make.Rules

MODDIRS=$(shell /bin/ls -d pam_*)

all:	
	@echo building the static modutil library
	make -C pammodutil all
	@echo modules sources available are:
	@ls -d $(MODDIRS) 2>/dev/null ; echo :--------
	@echo
ifdef STATIC
	rm -f ./_static_module_*
endif
	@for i in $(MODDIRS) ; do \
		if [ -d $$i ]; then { \
		   $(MAKE) -C $$i all ; \
		   if [ $$? -ne 0 ]; then exit 1 ; fi ; \
		} elif [ -f ./.$$i ]; then { \
		   cat ./.$$i ; \
		} fi ; \
	done

download:
	@./download-all

install:
	for i in $(MODDIRS) ; do \
		if [ -d $$i ]; then { \
		$(MAKE) -C $$i install ; \
		if [ $$? -ne 0 ]; then exit 1 ; fi ; \
		} fi ; \
	done

remove:
	for i in $(MODDIRS) ; do \
		if [ -d $$i ]; then { \
			$(MAKE) -C $$i remove ; \
		} fi ; \
	done

lclean:
	rm -f _static_module_*

clean: lclean
	for i in $(MODDIRS) ; do \
		if [ -d $$i ]; then { \
			$(MAKE) -C $$i clean ; \
		} fi ; \
	done
	make -C pammodutil clean

=== Linux-PAM/conf/pam_conv1/Makefile ===
#
# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:22 hartmans Exp $
#

include ../../Make.Rules

#
ifeq ($(OS),solaris)

clean:
      @echo not available in Solaris

all:
      @echo not available in Solaris

install:
      @echo not available in Solaris

else

all: pam_conv1

pam_conv1: pam_conv.tab.c lex.yy.c
	$(CC) -o pam_conv1 pam_conv.tab.c $(LINK_LIBLEX)

pam_conv.tab.c: pam_conv.y lex.yy.c
	bison pam_conv.y

lex.yy.c: pam_conv.lex
	flex pam_conv.lex

lclean:
	rm -f core pam_conv1 lex.yy.c pam_conv.tab.c *.o *~
	rm -rf ./pam.d pam_conv.output

clean: lclean

install: pam_conv1
	cp -f ./pam_conv1 ../../bin

endif

remove:
	rm -f ../../bin/pam_conv1

extraclean: remove clean

=== Linux-PAM/modules/pam_access/Makefile ===
# $Id: Makefile,v 1.1.1.1 2001/04/29 04:17:16 hartmans Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#

include ../../Make.Rules

TITLE=pam_access
LOCAL_CONFILE=./access.conf
INSTALLED_CONFILE=$(SCONFIGD)/access.conf

DEFS=-DDEFAULT_CONF_FILE=\"$(INSTALLED_CONFILE)\"
CFLAGS += $(DEFS)

MODULE_SIMPLE_INSTALL=bash -f ../install_conf "$(FAKEROOT)" "$(SCONFIGD)" "$(INSTALLED_CONFILE)" "$(TITLE)" "$(LOCAL_CONFILE)"
MODULE_SIMPLE_REMOVE=rm -f $(FAKEROOT)$(INSTALLED_CONFILE)
MODULE_SIMPLE_CLEAN=rm -f ./.ignore_age

include ../Simple.Rules

=== Linux-PAM/modules/pam_cracklib/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2001/04/29 04:17:17 hartmans Exp $
#
# This Makefile controls a build process of $(TITLE) module for
# Linux-PAM. You should not modify this Makefile (unless you know
# what you are doing!).
#
# Created by Andrew Morgan <morgan@kernel.org> 2000/10/08
#

include ../../Make.Rules

TITLE=pam_cracklib

ifeq ($(HAVE_LIBCRACK),yes)
BUILD_THIS_MODULE=yes
MODULE_SIMPLE_EXTRALIBS=-lcrack

# These two should really be provided by ../../pam_aconf.h
CFLAGS+=-DCRACKLIB_DICTPATH=\"$(CRACKLIB_DICTPATH)\"

ifeq ($(HAVE_LIBCRYPT),yes)
 MODULE_SIMPLE_EXTRALIBS += -lcrypt
endif

endif

ifeq ($(BUILD_THIS_MODULE),yes)
 include ../Simple.Rules
else
 include ../dont_makefile
endif

## pam 0.79

=== Linux-PAM/libpam/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.1.1.2 2002/09/15 20:08:36 hartmans Exp $
+# $Id: Makefile,v 1.12 2005/03/29 20:41:20 toady Exp $
 #
 #
 
@@ -10,8 +10,14 @@
 
 ifeq ($(WITH_LIBDEBUG),yes)
  LIBNAME=libpamd
+ CFLAGS += -D"DEBUG"
+ CFLAGS += -g
 else
  LIBNAME=libpam
+endif
+ifeq ($(WITH_PRELUDE),yes)
+ CFLAGS += -DPRELUDE -DLIBPRELUDE_CONFIG_PREFIX=\"`libprelude-config --prefix`\"
+ LINKLIBS += -lprelude
 endif
 VERSION=.$(MAJOR_REL)
 MODIFICATION=.$(MINOR_REL)
@@ -24,7 +30,8 @@
 
 CFLAGS += $(DYNAMIC) $(STATIC) $(MOREFLAGS) \
   -DLIBPAM_VERSION_MAJOR=$(MAJOR_REL) \
-  -DLIBPAM_VERSION_MINOR=$(MINOR_REL)
+  -DLIBPAM_VERSION_MINOR=$(MINOR_REL) \
+  -DLIBPAM_VERSION_STRING=\"$(MAJOR_REL).$(MINOR_REL)\"
 
 # dynamic library names
 
@@ -37,7 +44,7 @@
 LIBPAMSTATIC = $(LIBNAME).a
 
 ifdef STATIC
-@echo Did you mean to set STATIC\?
+#	@echo Did you mean to set STATIC\?
 MODULES = $(shell cat ../modules/_static_module_objects)
 STATICOBJ = pam_static.o
 else
@@ -50,7 +57,7 @@
 
 LIBOBJECTS = pam_item.o pam_strerror.o pam_end.o pam_start.o pam_data.o \
 		pam_delay.o pam_dispatch.o pam_handlers.o pam_misc.o \
-		pam_account.o pam_auth.o pam_session.o pam_password.o \
+		pam_account.o pam_auth.o pam_prelude.o pam_session.o pam_password.o \
 		pam_env.o pam_log.o $(EXTRAS)
 
 ifeq ($(DYNAMIC_LIBPAM),yes)
@@ -88,11 +95,14 @@
 
 static/%.o : %.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@
+bootstrap-libpam: bootdir $(LIBPAM)
+bootdir:
+	test -d dynamic || mkdir dynamic
 
 $(LIBPAM): $(DLIBOBJECTS)
 ifeq ($(DYNAMIC_LIBPAM),yes)
     ifeq ($(USESONAME),yes)
-	$(LD_L) $(SOSWITCH) $(LIBPAMNAME) -o $@ $(DLIBOBJECTS) \
+	$(LD_L) $(SOSWITCH)$(LIBPAMNAME) -o $@ $(DLIBOBJECTS) \
 		$(MODULES) $(LINKLIBS)
     else
 	$(LD_L) -o $@ $(DLIBOBJECTS) $(MODULES) $(LINKLIBS)
@@ -107,8 +117,10 @@
 
 $(LIBPAMSTATIC): $(SLIBOBJECTS)
 ifeq ($(STATIC_LIBPAM),yes)
-	ar cr $@ $(SLIBOBJECTS) $(MODULES)
+	$(AR) cru $@ $(SLIBOBJECTS) $(MODULES)
+ifdef RANLIB
 	$(RANLIB) $@
+endif
 endif
 
 install: all
@@ -123,7 +135,11 @@
 endif
 ifeq ($(DYNAMIC_LIBPAM),yes)
 	$(INSTALL) -m $(SHLIBMODE) $(LIBPAM) $(FAKEROOT)$(libdir)/$(LIBPAMFULL)
+ifndef FAKEROOT
 	$(LDCONFIG)
+else
+	$(LDCONFIG) -n $(FAKEROOT)$(libdir)
+endif
   ifneq ($(DYNTYPE),"sl")
 	( cd $(FAKEROOT)$(libdir) ; rm -f $(LIBPAM) ; \
 	  ln -sf $(LIBPAMNAME) $(LIBPAM) )
@@ -141,11 +157,14 @@
 	rm -f $(FAKEROOT)$(INCLUDED)/pam_malloc.h
 	rm -f $(FAKEROOT)$(libdir)/$(LIBPAM).*
 	rm -f $(FAKEROOT)$(libdir)/$(LIBPAM)
+ifndef FAKEROOT
 	$(LDCONFIG)
+endif
 	rm -f $(FAKEROOT)$(libdir)/$(LIBPAMSTATIC)
 
 clean:
 	rm -f a.out core *~ static/*.o dynamic/*.o
+	rm -f *.orig $(LIBPAMNAME) $(LIBPAMFULL)
 	rm -f *.a *.o *.so ./include/security/*~
 	if [ -d dynamic ]; then rmdir dynamic ; fi
 	if [ -d static ]; then rmdir static ; fi

=== Linux-PAM/modules/pam_tally/Makefile ===
#
# $Id: Makefile,v 1.5 2004/09/24 13:13:21 kukuk Exp $
#
# This Makefile controls a build process of $(TITLE) module and
# application for Linux-PAM. You should not modify this Makefile
# (unless you know what you are doing!).
#
#

include ../../Make.Rules

TITLE=pam_tally

#
## Additional rules for making (and moving) the application added.
## Assuming that all modules' applications are called $TITLE
#

LIBSRC = $(TITLE).c
LIBOBJ = $(TITLE).o
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))
LIBOBJS = $(addprefix static/,$(LIBOBJ))

APPSRC = $(TITLE)_app.c
APPOBJ = $(TITLE)_app.o
APPOBJD = $(addprefix dynamic/,$(APPOBJ))
APPOBJS = $(addprefix static/,$(APPOBJ))
    
dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o : %.c
	$(CC) $(CFLAGS) $(STATIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@


ifdef DYNAMIC
LIBSHARED = $(TITLE).so
endif

ifdef STATIC
LIBSTATIC = lib$(TITLE).o
endif

APPLICATION = $(TITLE)
APPMODE = 755

LINK_PAMMODUTILS = -L../pammodutil -lpammodutil -L../../libpam -lpam
INCLUDE_PAMMODUTILS = -I../pammodutil/include

LDFLAGS += $(LINK_PAMMODUTILS)
CFLAGS += $(INCLUDE_PAMMODUTILS)

####################### don't edit below #######################

all: dirs $(LIBSHARED) $(LIBSTATIC) register $(APPLICATION)

dirs:
ifdef DYNAMIC
	$(MKDIR) ./dynamic
endif
ifdef STATIC
	$(MKDIR) ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static $(TITLE) $(TITLE)/$(LIBSTATIC) )
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):   $(LIBOBJD)
	$(LD_D) -o $@ $(LIBOBJD) $(LDFLAGS)

$(APPLICATION): $(APPOBJD) $(TITLE).c
	$(CC) $(CFLAGS) -o $@ $(APPOBJD) $(LDFLAGS) $(LOADLIBES)
    
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)

$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS)

$(APPLICATION): $(APPOBJS) $(TITLE).c
	$(CC) $(CFLAGS) -o $@ $(APPOBJS) $(LOADLIBES)
endif

install: all
	$(MKDIR) $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	$(INSTALL) -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
endif
	$(MKDIR) $(FAKEROOT)$(SUPLEMENTED)
	$(INSTALL) -m $(APPMODE) $(APPLICATION) $(FAKEROOT)$(SUPLEMENTED)

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(TITLE).so
	rm -f $(FAKEROOT)$(SUPLEMENTED)/$(TITLE)

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) $(APPOBJD) $(APPOBJS) core *~
	rm -f *.a *.o *.so *.bak dynamic/* static/* $(APPLICATION)
	rm -rf dynamic static

.c.o:   
	$(CC) $(CFLAGS) -c $<

=== Linux-PAM/modules/pam_unix/Makefile ===
# $Id: Makefile,v 1.8 2004/11/08 08:58:37 kukuk Exp $
#
# This Makefile controls a build process of the pam_unix modules
# for Linux-PAM. You should not modify this Makefile.
#

include ../../Make.Rules

########################################################################
# some options... uncomment to take effect
########################################################################

# Unless someone wants to work out how to make this work with the new
# autoconf stuff, you should use a separate module for this type of thing
# pam_cracklib perhaps..?
# do you want cracklib?
#ifeq ($(HAVE_CRACKLIB),yes)
#USE_CRACKLIB=-D"USE_CRACKLIB"
#endif

ifeq ($(shell if [ -f /usr/lib/cracklib_dict.hwm ]; then echo yes ; fi),yes)
 CRACKLIB_DICTPATH=/usr/lib/cracklib_dict
else
 CRACKLIB_DICTPATH=/usr/share/dict/cracklib_dict
endif
EXTRAS += -DCRACKLIB_DICTS=\"$(CRACKLIB_DICTPATH)\"

ifeq ($(HAVE_LIBCRYPT),yes)
  EXTRALS += -lcrypt
endif
ifeq ($(HAVE_LIBNSL),yes)
  EXTRALS += -lnsl
endif
# do you want to use lckpwdf?
ifeq ($(WITH_LCKPWDF),yes)
USE_LCKPWDF=-D"USE_LCKPWDF"
# do you need to include the locking functions in the source?
ifeq ($(HAVE_LCKPWDF),no)
  NEED_LCKPWDF=-D"NEED_LCKPWDF"
endif
endif

ifeq ($(HAVE_LIBNSL),yes)
  LIBNSL = -lnsl
endif

ifeq ($(HAVE_LIBCRYPT),yes)
  LIBCRYPT=-lcrypt
endif

CHKPWD=unix_chkpwd

BIGCRYPT=bigcrypt

EXTRAS += -DCHKPWD_HELPER=\"$(SUPLEMENTED)/$(CHKPWD)\"

LINK_PAMMODUTILS = -L../pammodutil -lpammodutil
INCLUDE_PAMMODUTILS = -I../pammodutil/include

########################################################################

CFLAGS += $(USE_CRACKLIB) $(USE_LCKPWDF) $(NEED_LCKPWDF) $(EXTRAS) \
	 $(INCLUDE_PAMMODUTILS)

LDLIBS = $(EXTRALS) $(LINK_PAMMODUTILS)

ifdef USE_CRACKLIB
CRACKLIB = -lcrack
endif


LIBOBJ = pam_unix_auth.o pam_unix_acct.o pam_unix_sess.o pam_unix_passwd.o \
		support.o
LIBSRC = pam_unix_auth.c pam_unix_acct.c pam_unix_sess.c pam_unix_passwd.c \
		support.c
LIBOBJD = $(addprefix dynamic/,$(LIBOBJ))
LIBOBJS = $(addprefix static/,$(LIBOBJ))

PLUS = md5_good.o md5_broken.o md5_crypt_good.o md5_crypt_broken.o \
		yppasswd_xdr.o bigcrypt.o

ifdef DYNAMIC
LIBSHARED = pam_unix.so
endif
ifdef STATIC
LIBSTATIC = libpam_unix.o
endif


########################### don't edit below #######################

all: dirs info $(PLUS) $(LIBSHARED) $(LIBSTATIC) $(CHKPWD) $(BIGCRYPT) \
	register

dynamic/%.o : %.c
	$(CC) $(CFLAGS) $(DYNAMIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

static/%.o: %.c
	$(CC) $(CFLAGS) $(STATIC) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

dummy:
	@echo "**** This is not a top-level Makefile "
	exit

info:
	@echo
	@echo "*** Building pam-unix module of the framework..."
	@echo

dirs:
ifdef DYNAMIC
	mkdir -p ./dynamic
endif
ifdef STATIC
	mkdir -p ./static
endif

register:
ifdef STATIC
	( cd .. ; ./register_static pam_unix_auth pam_unix/$(LIBSTATIC) ; \
		./register_static pam_unix_acct  "" ; \
		./register_static pam_unix_session "" ; \
		./register_static pam_unix_passwd "" ; \
	)
endif

ifdef DYNAMIC
$(LIBOBJD): $(LIBSRC)

$(LIBSHARED):	$(LIBOBJD)
	$(LD_D) -o $@ $(LIBOBJD) $(PLUS) $(CRACKLIB) $(LDLIBS) $(LIBNSL) $(LIBCRYPT) $(NEED_LINK_LIB_C) -L../../libpam -lpam
endif

ifdef STATIC
$(LIBOBJS): $(LIBSRC)

$(LIBSTATIC): $(LIBOBJS)
	$(LD) -r -o $@ $(LIBOBJS) $(PLUS) $(CRACKLIB) $(LDLIBS) $(LIBNSL) $(LIBCRYPT)
endif

$(CHKPWD): unix_chkpwd.o md5_good.o md5_broken.o \
		md5_crypt_good.o md5_crypt_broken.o \
		bigcrypt.o
	$(CC) $(CFLAGS) -o $(CHKPWD) $^ $(LDLIBS) $(LIBCRYPT)

$(BIGCRYPT): bigcrypt_main.o bigcrypt.o
	$(CC) -o $(BIGCRYPT) $^ $(LDLIBS) $(LIBCRYPT)

unix_chkpwd.o: unix_chkpwd.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

md5_good.o: md5.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -DHIGHFIRST -D'MD5Name(x)=Good##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_broken.o: md5.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Broken##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_crypt_good.o: md5_crypt.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Good##x' \
		$(TARGET_ARCH) -c $< -o $@

md5_crypt_broken.o: md5_crypt.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D'MD5Name(x)=Broken##x' \
		$(TARGET_ARCH) -c $< -o $@

install: all
	mkdir -p $(FAKEROOT)$(SECUREDIR)
ifdef DYNAMIC
	install -m $(SHLIBMODE) $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)
	for x in pam_unix_auth pam_unix_acct pam_unix_passwd pam_unix_session;\
		do ln -sf $(LIBSHARED) $(FAKEROOT)$(SECUREDIR)/$$x.so ; done
endif
	$(MKDIR) $(FAKEROOT)$(SUPLEMENTED)
	install -m 4555 $(CHKPWD) $(FAKEROOT)$(SUPLEMENTED)

remove:
	rm -f $(FAKEROOT)$(SECUREDIR)/$(LIBSHARED)
	for x in pam_unix_auth pam_unix_acct pam_unix_passwd pam_unix_session;\
		do rm -f $(FAKEROOT)$(SECUREDIR)/$$x.so ; done
	rm -f $(FAKEROOT)$(SUPLEMENTED)/$(CHKPWD)

clean:
	rm -f $(LIBOBJD) $(LIBOBJS) $(CHKPWD) $(BIGCRYPT) *.o *.so core
	rm -f *~ *.a *.out *.bak
	rm -rf dynamic static

.c.o:	
	$(CC) -c $(CFLAGS) $<

=== Linux-PAM/modules/pammodutil/Makefile ===
#
# $Id: Makefile,v 1.4 2004/09/24 13:13:22 kukuk Exp $
#
#

include ../../Make.Rules

LIBNAME=libpammodutil

# ---------------------------------------------

dummy: all

# ---------------------------------------------

CFLAGS += $(PIC) $(STATIC) $(MOREFLAGS) \
  -DLIBPAM_VERSION_MAJOR=$(MAJOR_REL) \
  -DLIBPAM_VERSION_MINOR=$(MINOR_REL)

# all the object files we care about
LIBOBJECTS = modutil_cleanup.o modutil_getpwnam.o modutil_getpwuid.o \
	modutil_getspnam.o modutil_getgrnam.o modutil_getgrgid.o \
	modutil_ingroup.o modutil_getlogin.o modutil_ioloop.o

# static library name
LIBSTATIC = $(LIBNAME).a

SLIBOBJECTS = $(addprefix static/,$(LIBOBJECTS) $(STATICOBJ))

# ---------------------------------------------
## rules

all: dirs $(LIBSTATIC) ../../Make.Rules

dirs:
	$(MKDIR) static

static/%.o : %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c $< -o $@

$(LIBSTATIC): $(SLIBOBJECTS)
	ar cr $@ $(SLIBOBJECTS)
	$(RANLIB) $@

install:
	@echo "at this time, we're not installing $(LIBSTATIC)"

remove:
	@echo "at this time, there is nothing to remove"

clean:
	rm -f a.out core *~ static/*.o
	rm -f *.a *.o
	if [ -d dynamic ]; then rmdir dynamic ; fi
	if [ -d static ]; then rmdir static ; fi

## pam 1.0.0

=== DESCRIPTION ===
Package: pam
Type: Package
Title: Fast and Efficient Processing of PAM Data
Version: 1.0.0
Authors@R: c(
    person(
        "Julien",
        "Böhm",
        email = "julien.boehm@uni-rostock.de",
        role = c("cre", "aut"),
        comment = c(ORCID = "0009-0002-2704-2289")
    ),
    person(
        "Philipp",
        "Schrag",
        role = "aut",
        comment = c(ORCID = "0009-0002-7697-5536")
    )
    )
URL: https://github.com/biotoolbox/pam
BugReports: https://github.com/biotoolbox/pam/issues
Description: Processing Chlorophyll Fluorescence & P700 Absorbance data generated by WALZ hardware. Four models are provided for the regression of Pi curves, which can be compared with each other in order to select the most suitable model for the data set. Control plots ensure the successful verification of each regression. Bundled output of alpha, ETRmax, Ik etc. enables fast and reliable further processing of the data. 
License: GPL-3
Encoding: UTF-8
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
RoxygenNote: 7.3.2
Imports: data.table, dplyr, ggplot2, minpack.lm, cowplot, gridExtra,
        ggthemes
NeedsCompilation: no
Packaged: 2025-01-11 19:58:25 UTC; julien
Author: Julien Böhm [cre, aut] (<https://orcid.org/0009-0002-2704-2289>),
  Philipp Schrag [aut] (<https://orcid.org/0009-0002-7697-5536>)
Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
Repository: CRAN
Date/Publication: 2025-01-14 10:20:05 UTC

## pam 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: pam
 Type: Package
 Title: Fast and Efficient Processing of PAM Data
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(
         "Julien",
@@ -28,9 +28,9 @@
 Imports: data.table, dplyr, ggplot2, minpack.lm, cowplot, gridExtra,
         ggthemes
 NeedsCompilation: no
-Packaged: 2025-01-11 19:58:25 UTC; julien
+Packaged: 2025-01-15 12:55:04 UTC; julien
 Author: Julien Böhm [cre, aut] (<https://orcid.org/0009-0002-2704-2289>),
   Philipp Schrag [aut] (<https://orcid.org/0009-0002-7697-5536>)
 Maintainer: Julien Böhm <julien.boehm@uni-rostock.de>
 Repository: CRAN
-Date/Publication: 2025-01-14 10:20:05 UTC
+Date/Publication: 2025-01-15 13:40:01 UTC

## pam 1.0.1-maemo1

=== debian/changelog ===
pam (1.0.1-maemo1) stable; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2010 20:30:00 +0200
 

pam (1.0.1-5+lenny1) stable; urgency=high

  * Security NMU, high urgency.
  * Fix signedness error in _pam_StrTok(), CVE-2009-0887.
    Closes: #520115.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 17 Mar 2009 18:51:07 +0100

pam (1.0.1-5) unstable; urgency=low

  * Build-conflict with libxcrypt-dev, which otherwise pulls libxcrypt in as
    a dependency of libpam-modules if it's installed during the build.
    Thanks to Larry Doolittle for catching.
  * Don't refer to gnome-screensaver in the debconf template; it isn't
    actually affected by the libpam symbol issue because it forks a separate
    process to display the screensaver dialog.
  * Have libpam-modules Pre-Depend on ${misc:Depends}, so that we can
    warn users about needing to disable xscreensaver and xlockmore
    before libpam-modules is unpacked.  Closes: #502140, LP: #256238.
  * Updated debconf translations for the new template:
    - Italian, thanks to David Paleino <d.paleino@gmail.com>
    - Simplified Chinese, thanks to Deng Xiyue
      <manphiz-guest@users.alioth.debian.org> (closes: #510371)
    - Portuguese, thanks to Américo Monteiro <a_monteiro@netcabo.pt>
    - Swedish, thanks to Martin Bagge <brother@bsnet.se> (closes: #510379)
    - Japanese, thanks to Kenshi Muto <kmuto@debian.org> (closes: #510380)
    - Finnish, thanks to Esko Arajärvi <edu@iki.fi> (closes: #510382)
    - Spanish, thanks to Javier Fernandez-Sanguino Peña <jfs@debian.org>
      (closes: #510389)
    - Galician, thanks to Marce Villarino <mvillarino@gmail.com>
    - Slovak, thanks to helix84 <helix84@centrum.sk> (closes: #510412)
    - Bulgarian, thanks to Damyan Ivanov <dmn@debian.org>
    - Czech, thanks to Miroslav Kure <<kurem@upcase.inf.upol.cz>
      (closes: #510608)
    - French, thanks to Steve Petruzzello <dlist@bluewin.ch>
    - German, thanks to Sven Joachim <svenjoac@gmx.de> (closes: #510617)  
    - Basque, thanks to Piarres Beobide <pi+debian@beobide.net>
      (closes: #510699)
    - Russian, thanks to Yuri Kozlov <yuray@komyakino.ru> (closes: #510701)
    - Turkish, thanks to Mert Dirik <mertdirik@gmail.com> (closes: #510707)

 -- Steve Langasek <vorlon@debian.org>  Tue, 06 Jan 2009 00:05:13 -0800

pam (1.0.1-4) unstable; urgency=high

  * High-urgency upload for RC bugfix.

  [ Julien Cristau ]
  * pam_unix-chkpwd-wait: don't assume that the unix_chkpwd process exits
    normally; if it was killed by a signal, we don't want to accept the
    password.  Closes: #495879.

  [ Steve Langasek ]
  * 007_modules_pam_unix: update the manpage at the same time as the xml
    source (grr, autogenerated files in source packages).  Closes: #495804.
  * 055_pam_unix_nullok_secure: also don't call the helper at all from
    _unix_blankpasswd when we can detect that null passwords are disallowed,
    to avoid causing spammy logs on successful authentications.
    Closes: #496620.
  * debian/rules: call chgrp *before* calling chmod, lest the sgid bit
    on unix_chkpwd be cleared during the build when using -rsudo.
    Closes: #496983.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Aug 2008 22:59:23 -0700

pam (1.0.1-3) unstable; urgency=high

  * 055_pam_unix_nullok_secure: don't call _pammodutil_tty_secure with a NULL
    tty argument, since this will cause our helper to segfault instead of
    returning a useful value.  Thanks to Troy Davis for the report.
    Closes: #495806.

 -- Steve Langasek <vorlon@debian.org>  Wed, 20 Aug 2008 11:55:47 -0700

pam (1.0.1-2) unstable; urgency=low

  * 007_modules_pam_unix: update the documentation to correctly document
    the default minimum password length is 6, not 1.
  * Look for cups instead of cupsys as an init script name when restarting
    services; thanks to Stephen Olander-Waters for pointing this out.
    Closes: #492977.
  * Update the Debian PAM mini-policy to remove references to the
    long-obsolete pam_pwdb, and clarify the relationship between pam_stack
    and @include.
  * Drop various bits of unused cruft from the debian/ directory.
  * Drop libpam-runtime.preinst, only used for upgrades from woody to sarge
    to deal with modified conffiles.
  * Build-Conflict with libdb4.2-dev, which satisfies the libdb-dev
    build-dependency but causes pam_userdb to be silently omitted.
    Closes: #493574.
  * 054_pam_security_abstract_securetty_handling: move the warning log about
    an insecure tty back to pam_securetty proper; we don't want to generate
    log messages every time pam_unix is called as non-root.
    Closes: #493283.  As a side-effect, pam_unix no longer logs any warnings
    about NULL password + insecure tty, but I don't think this is critical.

 -- Steve Langasek <vorlon@debian.org>  Fri, 08 Aug 2008 10:47:26 -0700

pam (1.0.1-1) unstable; urgency=low

  * New upstream version.
    - pam_limits: bound RLIMIT_NICE from below. Closes: #403718.
    - pam_mail: set the MAIL variable even when .hushlogin is set.
      Closes: #421010.
    - new minclass option introduced for pam_cracklib.  Closes: #454237.
    - fix a failure to check the string length when matching usernames in
      pam_group.  Closes: #444427.
    - fix setting shell security context in pam_selinux.  Closes: #451722.
    - use --disable-audit, to avoid libaudit being linked in
      accidentally
    - pam_unix now supports SHA-256 and SHA-512 password hashes.
      Closes: #484249, LP: #245786.
    - pam_rhosts_auth is dropped upstream (closes: #382987); add a compat
      symlink to pam_rhosts to support upgrades for a release, and give a
      warning in NEWS.Debian.
    - new symbol in libpam.so.0, pam_modutil_audit_write; shlibs bump, and
      do another round of service restarts on upgrade.
    - pam_unix helper is now called whenever an unprivileged process


=== debian/control ===
Source: pam
Section: libs
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: libcrack2-dev (>= 2.8), bzip2, debhelper, quilt, flex, libdb-dev, libselinux1-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64 !netbsd-i386], po-debconf
Build-Depends-Indep: xsltproc, libxml2-utils, docbook-xml, docbook-xsl, w3m
Build-Conflicts-Indep: fop
Build-Conflicts: libxcrypt-dev
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-pam/debian/sid/
Homepage: http://pam.sourceforge.net/

Package: libpam0g
Priority: required
Architecture: any
Conflicts: libpam0 (<= 0.56-2), libpam
Replaces: libpam0g-util
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime
Suggests: libpam-doc
Description: Pluggable Authentication Modules library
 Contains the C shared library for Linux-PAM, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.  In other words, without rewriting
 or recompiling a PAM-aware application, it is possible to switch
 between the authentication mechanism(s) it uses.  One may entirely
 upgrade the local authentication system without touching the
 applications themselves.

Package: libpam-modules
Priority: required
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpam0g-modules (= 0.66-1), libpam-motd, libpam-mkhomedir, libpam-umask, suidmanager (<< 0.50)
Replaces: libpam0g-util, libpam-umask
Provides: libpam-motd, libpam-mkhomedir, libpam-umask
Description: Pluggable Authentication Modules for PAM
 This package completes the set of modules for PAM. It includes the
  pam_unix_*.so module as well as some specialty modules.

Package: libpam-runtime
Section: admin
Priority: required
Architecture: all
Replaces: libpam0g-util, libpam0g-dev
Conflicts: libpam0g-util, libpam0g (<< 0.66-0)
Description: Runtime support for the PAM library
 Contains configuration files and  directories required for
 authentication  to work on Debian systems.  This package is required
 on almost all installations.

Package: libpam0g-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libpam0g (= ${binary:Version}), libc6-dev|libc-dev
Conflicts: libpam-dev, libpam-dbg
Replaces: libpam0g (<= 0.65)
Provides: libpam-dev
Description: Development files for PAM
 Contains C header files and development shared libraries for libpam, the
 pluggable authentication modules, a suite of shared libraries that enable
 the local system administrator to choose how applications authenticate
 users.
 .
 PAM decouples applications from the authentication mechanism, making it
 possible to upgrade the authentication system without recompiling or
 rewriting the applications.

Package: libpam-cracklib
Priority: optional
Architecture: any
Replaces: libpam0g-cracklib
Depends: ${shlibs:Depends}, cracklib-runtime, wamerican | wordlist
Description: PAM module to enable cracklib support
 This package includes libpam_cracklib, a PAM module that tests
 passwords to make sure they are not too weak during password change.

Package: libpam-doc
Provides: pam-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation of PAM
 Contains documentation (in HTML, ASCII, and PostScript format) for
 libpam, the Pluggable Authentication Modules library, a suite of shared
 libraries that enable the local system administrator to choose how
 applications authenticate users.
